Рекомендация Debian по безопасности

DSA-989-1 zoph -- SQL-инъекция

Дата сообщения:
09.03.2006
Затронутые пакеты:
zoph
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 350717.
В каталоге Mitre CVE: CVE-2006-0402.
Более подробная информация:

Нил Макбрайд обнаружил, что Zoph, система управления фотографиями на основе веб, выполняет недостаточную очистку ввода, передаваемого коду поиска фотографий, что может приводить к выполнению SQL-команд с помощью SQL-инъекции.

В предыдущем стабильном выпуске (woody) пакет zoph отсутствует.

В стабильном выпуске (sarge) эта проблема была исправлена в версии 0.3.3-12sarge1.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 0.5-1.

Рекомендуется обновить пакет zoph.

Исправлено в:

Debian GNU/Linux 3.1 (sarge)

Исходный код:
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3-12sarge1.dsc
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3-12sarge1.diff.gz
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3.orig.tar.gz
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3-12sarge1_all.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.